---
title: enable-background
slug: Web/SVG/Attribute/enable-background
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <strong><code>enable-background</code></strong> attribute specifies how the accumulation of the background image is managed.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>enable-background</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eleven elements:  {{SVGElement("a")}}, {{SVGElement("defs")}}, {{SVGElement("glyph")}}, {{SVGElement("g")}}, {{SVGElement("marker")}}, {{SVGElement("mask")}}, {{SVGElement("missing-glyph")}}, {{SVGElement("pattern")}}, {{SVGElement("svg")}}, {{SVGElement("switch")}}, and {{SVGElement("symbol")}}</p>

<h2 id="Context_notes">Context notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>accumulate</code> | <code>new</code> [ <code>&lt;x&gt;</code> <code>&lt;y&gt;</code> <code>&lt;width&gt;</code> <code>&lt;height&gt;</code> ]?</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>accumulate</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>accumulate</code></dt>
 <dd>
 <p>If an ancestor container element has a property value of <code>enable-background: new</code>, then all graphics elements within the current container element are rendered both onto the parent container elementʼs background image canvas and onto the target device.</p>

 <p>Otherwise, there is no current background image canvas, so graphics elements are only rendered onto the target device.</p>
 </dd>
 <dt><code>new [ &lt;x&gt; &lt;y&gt; &lt;width&gt; &lt;height&gt; ]?</code></dt>
 <dd>
 <p>This value enables the ability of children of the current container element to access the background image.</p>

 <p>It also indicates that a new (i.e., initially transparent black) background image canvas is established and that in effect all children of the current container element shall be rendered into the new background image canvas in addition to being rendered onto the target device.</p>

 <p>The optional <code>&lt;x&gt;</code>, <code>&lt;y&gt;</code>, <code>&lt;width&gt;</code>, and <code>&lt;height&gt;</code> parameters are <code><a href="/en-US/docs/Web/SVG/Content_type#Number">&lt;number&gt;</a></code> values that indicate the subregion of the container elementʼs user space where access to the background image is allowed to happen. Those values act as a clipping rectangle on the background image canvas.<br>
  Negative values for <code>&lt;width&gt;</code> or <code>&lt;height&gt;</code> are forbidden. If one, two, or three values are specified or if neither <code>&lt;width&gt;</code> nor <code>&lt;height&gt;</code> are specified, the <code>BackgroundImage</code> and <code>BackgroundAlpha</code> of a filter primitive are processed as if background image processing were not enabled.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#EnableBackgroundProperty", "enable-background")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.enable-background")}}</p>
